%define	name	pcmcia-cs
%define	version	3.2.8
%define release	8mdk

Summary:	The daemon for using PCMCIA adapters
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	http://pcmcia-cs.sourceforge.net/ftp/%{name}-%{version}.tar.bz2
License:	GPL
Group:		System/Kernel and hardware
BuildConflicts:	byacc
BuildRequires:	bison gtk+-devel kernel-source
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Url:		http://pcmcia-cs.sf.net/

Source1:	pcmcia-cs-3.2.8-network.script
Source2:	pcmcia-cs-3.1.24-isdn.script

# (blino) various configuration entries from contributors
# see bugzilla references in package changelog
Source100:	pcmcia-cs-mandriva-contrib.conf
# (blino) from Debian's atmel-firmware 1.3-1
Source101:	pcmcia-cs-atmel-debian.conf
# (blino) from atmelwlandriver-3.4.1.1 (scripts/atmel.conf)
# see http://atmelwlandriver.sourceforge.net/
Source102:	pcmcia-cs-atmelwlandriver.conf
# (blino) from Fedora's hwdata-0.157
Source103:	pcmcia-cs-fedora.conf

#Rawhide Patches #P[3-5][8-10] disabled
Patch0:		pcmcia-cs-3.1.18-script.patch.bz2
Patch1:		pcmcia-cs-3.1.18-mouse.patch.bz2
Patch6:		pcmcia-cs-3.1.24-portrange.patch.bz2
Patch8:		pcmcia-cs-3.2.5-no-modversions.patch.bz2

Patch100:	pcmcia-cs-3.1.29-build.patch.bz2
Patch101:	pcmcia-cs-3.2.0-cp-force.patch.bz2
Patch102:	pcmcia-cs-3.1.29-rc-early.patch.bz2
Patch103:	pcmcia-cs-3.1.31-fixbuild.patch.bz2
Patch104:	pcmcia-cs-3.1.31-umask.patch.bz2
Patch105:	pcmcia-cs-3.2.0-no-function-binding.patch.bz2
Patch107:	pcmcia-cs-3.2.3-no-forms.patch.bz2

Patch200:	pcmcia-cs-3.2.8-ppc.patch.bz2

#(peroyvind) make pcmcia service start BEFORE harddrake or else
# harddrake will think hardware are being removed and added for every reboot
Patch301:	pcmcia-cs-3.2.4-start-before-harddrake.patch.bz2
#(peroyvind) allow to put orinoco cards in monitor mode, also allow them
# to change mac adress
Patch302:	pcmcia-cs-3.2.5-orinoco.patch.bz2
#(blino) allow pcmcia service to start if the pcmcia module is built-in
Patch303:	pcmcia-cs-3.2.8-pcic.patch.bz2
Patch304:	pcmcia-cs-3.2.8-lspnp.patch.bz2

Requires(pre):	rpm-helper
Requires(post):	/bin/grep, /bin/sed

%description
Many laptop machines (and some non-laptops) support PCMCIA cards for
expansion. Also known as "credit card adapters," PCMCIA cards are small
cards for everything from SCSI support to modems. PCMCIA cards are hot
swappable (i.e., they can be exchanged without rebooting the system) and
quite convenient to use. The pcmcia-cs package contains a card manager
daemon that can respond to card insertion and removal events by
loading and unloading drivers on demand.  The daemon also supports hot
swapping, so that the cards can be safely inserted and ejected at any
time.


%package x11
Summary: X11 frontend for pcmcia-cs package
Group: System/Kernel and hardware
Requires: pcmcia-cs = %version

%description x11
This is the X11 front-end interface (based on gtk) for the pcmcia-cs 
package.


%prep
%setup -q
find . -type f|xargs chmod u+rw

%patch0 -p1 -b .script
%patch8 -p1 -b .no-modversions

%ifarch ppc
%patch200 -p1 -b .ppc
%else
%patch6 -p1 -b .portrange
%patch1 -p1 -b .mouse
%endif

%patch100 -p1 -b .build
%patch101 -p1 -b .cp-force
%patch102 -p1 -b .rc-early
%patch103 -p1 -b .fixbuild
%patch104 -p1 -b .umask
%patch105 -p1 -b .no-function
%patch107 -p1 -b .no-forms

%patch301 -p1 -b .peroyvind
%patch302 -p1 -b .peroyvind
%patch303 -p1 -b .pcic
%patch304 -p1 -b .lspnp

%build
./Configure --noprompt \
    --kernel=%{_prefix}/src/linux \
    --cc=gcc \
    --kcc=gcc \
    --target=%{buildroot} \
    --trust \
    --cardbus \
    --nopnp \
    --srctree \
    --sysv \
    --rcdir=%{_sysconfdir}/rc.d

make CFLAGS="$RPM_OPT_FLAGS -O3 -Wall -Wstrict-prototypes -Wa,--no-warn" all
make debug-tools/lspnp

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_mandir}
make MANDIR=$RPM_BUILD_ROOT%{_mandir} PREFIX=$RPM_BUILD_ROOT install

# our /etc/pcmcia/network doesn't use these wireless settings
rm -f $RPM_BUILD_ROOT%{_sysconfdir}/pcmcia/{network,wireless}{,.opts}

install -m755 %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/pcmcia/network
install -m755 %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/pcmcia/isdn
install -m644 %{SOURCE100} $RPM_BUILD_ROOT%{_sysconfdir}/pcmcia/mandriva-contrib.conf
install -m644 %{SOURCE101} $RPM_BUILD_ROOT%{_sysconfdir}/pcmcia/atmel-debian.conf
install -m644 %{SOURCE102} $RPM_BUILD_ROOT%{_sysconfdir}/pcmcia/atmelwlandriver.conf
install -m644 %{SOURCE103} $RPM_BUILD_ROOT%{_sysconfdir}/pcmcia/fedora.conf

# We need our own default %{_sysconfdir}/sysconfig/pcmcia
cat > $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/pcmcia <<EOF
PCMCIA=no
PCIC=
PCIC_OPTS=do_scan=0
CORE_OPTS=
CARDMGR_OPTS=-f
EOF

install -m755 debug-tools/lspnp $RPM_BUILD_ROOT/sbin/lspnp

export DONT_GPRINTIFY=1

rm -f $RPM_BUILD_ROOT%{_sysconfdir}/modules.conf
rm -f $RPM_BUILD_ROOT%{_sysconfdir}/rc.d/rc?.d/*pcmcia

%post
%_post_service pcmcia

#(peroyvind, blino) fix for P301 when upgrading
(shopt -s nullglob; for i in %{_sysconfdir}/rc.d/rc?.d/S11pcmcia; do mv $i ${i/S11/S04}; done)

%preun
%_preun_service pcmcia

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc doc/PCMCIA-HOWTO doc/PCMCIA-PROG SUPPORTED.CARDS 
%doc CHANGES COPYING README

%attr(755,root,root) /sbin/cardctl
/sbin/cardmgr
/sbin/dump_cis
/sbin/ftl_check
/sbin/ftl_format
/sbin/ide_info
/sbin/ifport
/sbin/ifuser
/sbin/lspnp
/sbin/pack_cis
%ifarch %{ix86}
/sbin/pcic_probe
%endif
/sbin/pcinitrd
/sbin/scsi_info

%{_mandir}/man[45]/*
%{_mandir}/man8/*
%dir %{_sysconfdir}/pcmcia
%dir %{_localstatedir}/pcmcia

%config(noreplace) %{_sysconfdir}/pcmcia/atmel-debian.conf
%config(noreplace) %{_sysconfdir}/pcmcia/atmelwlandriver.conf
%config(noreplace) %{_sysconfdir}/pcmcia/cis
%config(noreplace) %{_sysconfdir}/pcmcia/config
%config(noreplace) %{_sysconfdir}/pcmcia/config.opts
%config(noreplace) %{_sysconfdir}/pcmcia/fedora.conf
%config(noreplace) %{_sysconfdir}/pcmcia/ftl
%config(noreplace) %{_sysconfdir}/pcmcia/ftl.opts
%config(noreplace) %{_sysconfdir}/pcmcia/ide
%config(noreplace) %{_sysconfdir}/pcmcia/ide.opts
%config(noreplace) %{_sysconfdir}/pcmcia/ieee1394
%config(noreplace) %{_sysconfdir}/pcmcia/ieee1394.opts
%config(noreplace) %{_sysconfdir}/pcmcia/isdn
%config(noreplace) %{_sysconfdir}/pcmcia/memory
%config(noreplace) %{_sysconfdir}/pcmcia/memory.opts
%config(noreplace) %{_sysconfdir}/pcmcia/mandriva-contrib.conf
%config(noreplace) %{_sysconfdir}/pcmcia/network
%config(noreplace) %{_sysconfdir}/pcmcia/parport
%config(noreplace) %{_sysconfdir}/pcmcia/parport.opts
%config(noreplace) %{_sysconfdir}/pcmcia/scsi
%config(noreplace) %{_sysconfdir}/pcmcia/scsi.opts
%config(noreplace) %{_sysconfdir}/pcmcia/serial
%config(noreplace) %{_sysconfdir}/pcmcia/serial.opts
%config(noreplace) %{_sysconfdir}/pcmcia/shared
%config(noreplace) %{_initrddir}/pcmcia
%config(noreplace) %{_sysconfdir}/sysconfig/pcmcia

%files x11
%defattr(-, root, root)
%doc README
%{_bindir}/gpccard

%changelog
* Fri Sep  2 2005 Olivier Blin <oblin@mandriva.com> 3.2.8-8mdk
- drop hotplug requirement

* Sat Aug  6 2005 Olivier Blin <oblin@mandriva.com> 3.2.8-7mdk
- reintroduce network script (Source1), we really do not want to use
  the vanilla network script (thanks to Michael Reinsch)
- remove network.opts, it's useless

* Wed Aug  3 2005 Olivier Blin <oblin@mandriva.com> 3.2.8-6mdk
- add Source5: few configuration entries from Fedora's hwdata

* Wed Aug  3 2005 Olivier Blin <oblin@mandriva.com> 3.2.8-5mdk
- rename Patch1 (use mouse), don't apply it for ppc
- make Patch200 not modify lines number in config.opts
- drop Source1 (network devices are handled by hotplug)
- move Source2 (isdn script) as Source1
- add mandriva-contrib.conf (Source2) from Patch106 (misc.conf)
  it will contain adapters descriptions contributed by user
- merge Patch300 (misc adapters) in Source2
- add a CNet wireless card in Source2 (#8368)
- add a EMTAC WLAN Card in Source2 (#8983)
- add a PhoneCARD in Source2 (#10228)
- add Source3: atmel configuration from debian for atmel_cs
- add Source4: atmelwlandriver configuration
- use Requires(pre) instead of PreReq
- remove deprecated kernel-pcmcia-cs Obsoletes/Provides
- remove obsolete workaround in %post section,
  modules loading is handled by the pcmcia service

* Thu May 12 2005 Olivier Blin <oblin@mandriva.com> 3.2.8-4mdk
- allow pcmcia service to start if the pcmcia module is built-in
  (on suggestion from David Faure)
- fix lspnp build (Patch304)

* Tue Feb 22 2005 Olivier Blin <oblin@mandrakesoft.com> 3.2.8-3mdk
- don't ship wireless config files, our network script doesn't use them (#647)
- drop Patch7 (since we don't use these wireless files)

* Tue Dec 28 2004 Stefan van der Eijk <stefan@mandrake.org> 3.2.8-2mdk
- BuildRequires
- adjusted Summary (rpmlint)

* Wed Jul 21 2004 Nicolas Planel <nplanel@mandrakesoft.com> 3.2.8-1mdk
- 3.2.8.

* Tue May  4 2004 Olivier Blin <blino@mandrake.org> 3.2.7-3mdk
- fix ds grep in initscript

* Sat Apr 17 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 3.2.7-2mdk
- fix buildrequires
- spec cosmetics

* Tue Mar  9 2004 Nicolas Planel <nplanel@mandrakesoft.com> 3.2.7-1mdk
- 3.2.7.

* Tue Mar  9 2004 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 3.2.5-2.1mdk
- fix build

* Mon Jan 19 2004 Olivier Blin <blino@mandrake.org> 3.2.5-2mdk
- fix the "fix for P301 when upgrading", use bash power
  (don't do it on non-expanded pattern when file doesn't exist)

* Mon Oct 13 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 3.2.5-1mdk
- 3.2.5
- drop Prefix tag
- allow to put orinoco cards in monitor mode, also allow them to change
  mac adress (P302)
- remove uninstalled files
- compile with $RPM_OPT_FLAGS
- macroize

-* Wed Oct 15 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 3.2.4-3mdk
- make pcmcia service start before harddrake during boot (P301)

* Fri Sep 19 2003 Guillaume Cottenceau <gc@mandrakesoft.com> 3.2.4-2mdk
- Patch300: add two adapters (attachment 743 plus Buchan's patch)

* Thu Apr 17 2003 Nicolas Planel <nplanel@mandrakesoft.com> 3.2.4-1mdk
- 3.2.4.
- use config in tarball instead of old bad config file.

* Tue Mar 16 2003 Nicolas Planel <nplanel@mandrakesoft.com> 3.2.3-6mdk
- fix lastest patch, now included in misc patch.

* Tue Mar 04 2003 Nicolas Planel <nplanel@mandrakesoft.com> 3.2.3-5mdk
- New orinoco_cs card. (Tekram AIR.mate PCF 200 Wireless LAN card)

* Thu Feb 13 2003 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.2.3-5mdk
- New orinoco_cs fixes (#1256).

* Wed Feb 12 2003 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.2.3-3mdk
- Silly me get included our version not from pcmcia_cs package.

* Wed Feb 12 2003 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.2.3-2mdk
- Merge latest config for orinoco and some serial_cs (#1256).

* Tue Jan  7 2003 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.2.3-1mdk
- Make x11 package not using the ugly xforms program but the nicest
  gtk one.
- Remove pcmcia-cs-3.2.0-forms patch, merged upstream.
- Remove add-pci-ids-from-install patch, merged upstream.
- Bump to version 3.2.3.

* Thu Sep  7 2002 Stew Benedict <sbenedict@mandrakesoft.com> 3.2.0-3mdk
- restore PPC portrange patch (P200) - removed a couple of updates before

* Tue Aug 27 2002 Frederic Lepied <flepied@mandrakesoft.com> 3.2.0-2mdk
- fixed compilation (P302)
- add P301 to configure Advantech wireless cards
- remove P4 and P104 as we don't have kudzu anymore

* Wed Aug  7 2002 Juan Quintela <quintela@mandrakesoft.com> 3.2.0-1mdk
- remove P112 (old-skool-driver), not used already, and new code does
  always te hright thing.
- ordered %file sections in alphabetical order.
- /sbin/probe now is called /sbin/pcic_probe
- remove P400 (prism2 fix), integrated upstream.
- rediff P111 (no-function-bindings).
- remove P109 (serial-fixes), fixed upstream.
- remove P107 (name yenta_socket), different solution upstream.
- remove P106 (change modprobe paths), included upstream.
- remove P105 (remove test for matching revision), included upstream.
- rediff P101 (cp-force).
- 3.2.0.

* Sat Jun 15 2002 Geoffrey Lee <snailtalk@mandrakesoft.com> 3.1.31-8mdk
- BuildRequires: byacc libforms-devel.
- Add cardinfo (because we have xforms in the distrib now). 

* Tue May 14 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.1.31-7mdk
- fix PRISM2 support [Patch400]

* Fri Apr  5 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 3.1.31-6mdk
- requires hotplug (thx Ha Duong Minh <minh.ha.duong@cmu.edu>)

* Tue Mar 12 2002 Frederic Lepied <flepied@mandrakesoft.com> 3.1.31-5mdk
- don't call updfstab

* Tue Mar  5 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 3.1.31-4mdk
- patch #112: cirrus6729 uses oldskool i82365

* Thu Feb 28 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 3.1.31-3mdk
- patch #300: add a few PCI ID's for CardBus controllers just like in
  the install

* Wed Feb 13 2002 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.1.31-2mdk
- Set pcmcia just after network or cards will not be up.
- remove no binding found error message.
- set umask before doing anythhing.
- Serial fixes (test if setserial is here before launching, make it
  devfs aware, serial.opts reflect script).

* Wed Jan  2 2002 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.1.31-1mdk
- 3.1.31.

* Wed Dec  5 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.1.30-1mdk
- 3.1.30.
- s|aic7xxx_mod|aic7xxx|;
- Call updfstab as conditionall if present.
- Use modprobe
- Add sed to remove the pre-install of modules.conf.

* Wed Nov 21 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 3.1.29-6mdk
- remove no more relevant test for matching revision between cardmgr and
  kernel driver (patch #105)

* Tue Nov 20 2001 Stew Benedict <sbenedict@mandrakesoft.com> 3.1.29-5mdk
- adjust portrange to appropriate values on PPC build

* Thu Nov  1 2001 Juan Quintela <quintela@mandrakesoft.com> 3.1.29-4mdk
- Fixing kernel-pcmcia-cs conflict.

* Thu Oct 25 2001 Stefan van der Eijk <stefan@eijk.nu> 3.1.29-3mdk
- BuildRequires: kernel-source

* Fri Oct 19 2001 Stew Benedict <sbenedict@mandrakesoft.com> 3.1.29-2mdk
- exclude probe from %files on PPC

* Wed Oct  3 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.1.29-1mdk
- First version dumped from kernel packages.


# end of file
